Bug 825034 - libguestfs has bad depndency on /lib/libusb-1.0.so.0
libguestfs has bad depndency on /lib/libusb-1.0.so.0
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libguestfs (Show other bugs)
15
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-24 17:21 EDT by Oron Peled
Modified: 2012-07-08 19:52 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-08 19:52:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oron Peled 2012-05-24 17:21:24 EDT
Description of problem:

The libguestfs package in F15 depends on /lib/libusb-1.0.so.0 (exact path)
instead of libusb-1.0.so.0 (just the library version).

This fails upgrading libusb1 to libusbx on F15

Version-Release number of selected component (if applicable):

This problem exists only in F15:
 libguestfs-1.10.12-1.fc15.i686

The F16, F17, rawhide versions of libguestfs are OK.

How reproducible:

Demonstrate the problem:
# On a F15 box there is hard dependency on the library absolute path
# (and btw, also on libusb-0.1, but this is not the problem)

repoquery --requires libguestfs | grep usb
/lib/libusb-0.1.so.4
/lib/libusb-1.0.so.0

# The libguestfs is the only one with this weirdness:

repoquery --whatrequires /lib/libusb-1.0.so.0
libguestfs-1:1.10.2-1.fc15.i686
libguestfs-1:1.10.12-1.fc15.i686

# Other packages correctly depend on the library name only:
repoquery --whatrequires libusb-1.0.so.0 | wc -l
49

# On a F16, F17, rawhide boxes no output is produced
# (Hmmm.... no dependency at all on libusb/libusb1)


Additional info:

 * The libusbx package is an ABI compatible replacement for libusb1
   (bug #823886)

 * However, since its install path is in /usr/lib (as should be)
   and not /lib, the upgrade from libusb1 to libusbx fails if
   libguestfs is installed.
Comment 1 Richard W.M. Jones 2012-05-25 03:22:56 EDT
The path dependency is correct.  It loads the file, it doesn't
link to the library.

If the path is wrong, then it probably just needs a rebuild
to pick up the new path.  When libusbx is available in F15, let me
know and I'll bump the version and rebuild it.
Comment 2 Cole Robinson 2012-07-08 19:52:12 EDT
Fedora 15 is end of life now, so sounds like this report isn't relevant anymore. Please reopen if this issue still exists in F16 or later

Note You need to log in before you can comment on or make changes to this bug.